DRM_DEV_ALLOC(9)

NAME
drm_dev_alloc - Allocate new DRM device

SYNOPSIS

struct drm_device * drm_dev_alloc(struct drm_driver * driver, struct device * parent);

ARGUMENTS

driver
    DRM driver to allocate device for

parent
    Parent device object

DESCRIPTION

Allocate and initialize a new DRM device. No device registration is done. Call drm_dev_register to advertice the device to user space and register it with other core subsystems.

The initial ref-count of the object is 1. Use drm_dev_ref and drm_dev_unref to take and drop further ref-counts.

Note that for purely virtual devices parent can be NULL.

RETURNS

Pointer to new DRM device, or NULL if out of memory.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT